using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Posechaemost.Data.LocalData.Entity;
using Posechaemost.Data.RemoteData.RemoteDataBase.DAO;

namespace Posechaemost.Data.Repository {
    public interface IGroupRepository
    {
        List<GroupDao> GetAllGroup();
        bool RemoveGroupById(int groupID);
        bool UpdateGroupById(int groupID, String name);
        GroupDao GetGroupById(int groupID);
        bool AddGroup(GroupDao group);
    }
}